'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var isWeex = typeof callNative === 'function';
var platform = {
  iOS: false,
  android: false,
  weex: isWeex,
  web: !isWeex
};

if (isWeex) {
  var WeexEnv = typeof window !== 'undefined' && window.__weex_env__ ? Object.assign({}, window.__weex_env__) : Object.assign({}, WXEnvironment);
  platform.iOS = WeexEnv.platform === 'iOS';
  platform.android = WeexEnv.platform === 'android';
} else {
  var userAgent = typeof navigator !== 'undefined' && navigator.userAgent ? navigator.userAgent.toLowerCase() : 'iPhone';
  platform.iOS = /iPhone|iPod|iPad|IOS/i.test(userAgent);
  platform.android = /Android/i.test(userAgent);
}

exports.default = platform;
module.exports = exports['default'];