'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _varLoader = require('../util/var-loader');

var corner0 = (0, _varLoader.vLoader)(0);
var corner1 = (0, _varLoader.vLoader)(6);
var corner2 = (0, _varLoader.vLoader)(12);
var corner3 = (0, _varLoader.vLoader)(40);
var cornerCircle = (0, _varLoader.vLoader)('50%');
var cornerInfinite = 999;

/**
 * 边角
 * @namespace component
 * @property module corner
 * @property category style
 */

var varMap = {
  /**
   * corner-0
   * @property semantic 直角
   * @property export
   */
  'corner-0': corner0,
  /**
   * corner-1
   * @property semantic 常规圆角
   * @property export
   */
  'corner-1': corner1,
  /**
   * corner-2
   * @property semantic 大圆角
   * @property export
   */
  'corner-2': corner2,
  /**
   * corner-3
   * @property semantic 超大圆角
   * @property export
   */
  'corner-3': corner3,
  /**
   * corner-circle
   * @property semantic 圆形
   * @property export
   */
  'corner-circle': cornerCircle,
  /**
   * corner-infinite
   * @property semantic 无限大圆角
   * @property export
   */
  'corner-infinite': cornerInfinite
};

exports.default = varMap;
module.exports = exports['default'];