'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _varLoader = require('../util/var-loader');

var _color = require('./color');

var color = _interopRequireWildcard(_color);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var shadow1 = (0, _varLoader.vLoader)('1px 1px 3px 0 rgba(0,0,0,0.12)');
var shadow2 = (0, _varLoader.vLoader)('2px 3px 4px 0 rgba(0,0,0,0.12)');
var shadow3 = (0, _varLoader.vLoader)('2px 3px 5px 0 rgba(0,0,0,0.12)');
var shadowDistanceSd1 = (0, _varLoader.vLoader)('1px');
var shadowDistanceSd2 = (0, _varLoader.vLoader)('2px');
var shadowDistanceSd3 = (0, _varLoader.vLoader)('3px');
var shadowBlurSd1 = (0, _varLoader.vLoader)('3px');
var shadowBlurSd2 = (0, _varLoader.vLoader)('4px');
var shadowBlurSd3 = (0, _varLoader.vLoader)('5px');
var shadowSpreadSd1 = (0, _varLoader.vLoader)(0);
var shadowSpreadSd2 = (0, _varLoader.vLoader)(0);
var shadowSpreadSd3 = (0, _varLoader.vLoader)(0);
var shadowColorSd1 = (0, _varLoader.vLoader)(color['color-black']);
var shadowColorSd2 = (0, _varLoader.vLoader)(color['color-black']);
var shadowColorSd3 = (0, _varLoader.vLoader)(color['color-black']);
var shadowOpacitySd1 = (0, _varLoader.vLoader)(0.12);
var shadowOpacitySd2 = (0, _varLoader.vLoader)(0.12);
var shadowOpacitySd3 = (0, _varLoader.vLoader)(0.12);

/**
 * 阴影
 * @namespace component
 * @property module shadow
 * @property category style
 */

var varMap = {
  /**
   * shadow-1
   * @property semantic 阴影1
   * @property export
   * @property calculate ['shadow-distance-sd1'] ['shadow-distance-sd1'] ['shadow-blur-sd1'] ['shadow-spread-sd1'] rgba(['shadow-color-sd1'], ['shadow-opacity-sd1'])
   */
  'shadow-1': shadow1,
  /**
   * shadow-2
   * @property semantic 阴影2
   * @property export
   * @property calculate ['shadow-distance-sd2'] ['shadow-distance-sd2'] ['shadow-blur-sd2'] ['shadow-spread-sd2'] rgba(['shadow-color-sd2'], ['shadow-opacity-sd2'])
   */
  'shadow-2': shadow2,
  /**
   * shadow-3
   * @property semantic 阴影3
   * @property export
   * @property calculate ['shadow-distance-sd3'] ['shadow-distance-sd3'] ['shadow-blur-sd3'] ['shadow-spread-sd3'] rgba(['shadow-color-sd3'], ['shadow-opacity-sd3'])
   */
  'shadow-3': shadow3,
  /**
   * shadow-distance-sd1
   * @property semantic 阴影1距离
   */
  'shadow-distance-sd1': shadowDistanceSd1,
  /**
   * shadow-distance-sd2
   * @property semantic 阴影2距离
   */
  'shadow-distance-sd2': shadowDistanceSd2,
  /**
   * shadow-distance-sd3
   * @property semantic 阴影3距离
   */
  'shadow-distance-sd3': shadowDistanceSd3,
  /**
   * shadow-opacity-sd1
   * @property semantic 阴影1透明度
   */
  'shadow-opacity-sd1': shadowOpacitySd1,
  /**
   * shadow-opacity-sd2
   * @property semantic 阴影2透明度
   */
  'shadow-opacity-sd2': shadowOpacitySd2,
  /**
   * shadow-opacity-sd3
   * @property semantic 阴影3透明度
   */
  'shadow-opacity-sd3': shadowOpacitySd3,
  /**
   * shadow-color-sd1
   * @property semantic 阴影1颜色
   */
  'shadow-color-sd1': shadowColorSd1,
  /**
   * shadow-color-sd2
   * @property semantic 阴影2颜色
   */
  'shadow-color-sd2': shadowColorSd2,
  /**
   * shadow-color-sd3
   * @property semantic 阴影3颜色
   */
  'shadow-color-sd3': shadowColorSd3,
  /**
   * shadow-blur-sd1
   * @property semantic 阴影1羽化值
   */
  'shadow-blur-sd1': shadowBlurSd1,
  /**
   * shadow-blur-sd2
   * @property semantic 阴影2羽化值
   */
  'shadow-blur-sd2': shadowBlurSd2,
  /**
   * shadow-blur-sd3
   * @property semantic 阴影3羽化值
   */
  'shadow-blur-sd3': shadowBlurSd3,
  /**
   * shadow-spread-sd1
   * @property semantic 阴影1扩散值
   */
  'shadow-spread-sd1': shadowSpreadSd1,
  /**
   * shadow-spread-sd2
   * @property semantic 阴影2扩散值
   */
  'shadow-spread-sd2': shadowSpreadSd2,
  /**
   * shadow-spread-sd3
   * @property semantic 阴影3扩散值
   */
  'shadow-spread-sd3': shadowSpreadSd3
};

exports.default = varMap;
module.exports = exports['default'];