'use strict';

import { vLoader } from '../util/var-loader';

const corner0 = vLoader(0);
const corner1 = vLoader(6);
const corner2 = vLoader(12);
const corner3 = vLoader(40);
const cornerCircle = vLoader('50%');
const cornerInfinite = 999;

/**
 * 边角
 * @namespace component
 * @property module corner
 * @property category style
 */

const varMap = {
  /**
   * corner-0
   * @property semantic 直角
   * @property export
   */
  'corner-0': corner0,
  /**
   * corner-1
   * @property semantic 常规圆角
   * @property export
   */
  'corner-1': corner1,
  /**
   * corner-2
   * @property semantic 大圆角
   * @property export
   */
  'corner-2': corner2,
  /**
   * corner-3
   * @property semantic 超大圆角
   * @property export
   */
  'corner-3': corner3,
  /**
   * corner-circle
   * @property semantic 圆形
   * @property export
   */
  'corner-circle': cornerCircle,
  /**
   * corner-infinite
   * @property semantic 无限大圆角
   * @property export
   */
  'corner-infinite': cornerInfinite,
};

export default varMap;
