'use strict';

import { vLoader } from '../util/var-loader';

const line0 = vLoader(0);
const line1 = vLoader(1);
const line2 = vLoader(2);
const line3 = vLoader(4);
const lineSolid = vLoader('solid');
const lineDashed = vLoader('dashed');
const lineDotted = vLoader('dotted');

/**
 * 线条
 * @namespace component
 * @property module line
 * @property category style
 */

const varMap = {
  /**
   * line-0
   * @property semantic 无
   * @property export width
   */
  'line-0': line0,
  /**
   * line-1
   * @property semantic 细
   * @property export width
   */
  'line-1': line1,
  /**
   * line-2
   * @property semantic 常规
   * @property export width
   */
  'line-2': line2,
  /**
   * line-3
   * @property semantic 粗
   * @property export width
   */
  'line-3': line3,
  /**
   * line-solid
   * @property semantic 实线
   * @property unconfigurable
   * @property export style
   */
  'line-solid': lineSolid,
  /**
   * line-dashed
   * @property semantic 虚线
   * @property unconfigurable
   * @property export style
   */
  'line-dashed': lineDashed,
  /**
   * line-dotted
   * @property semantic 点线
   * @property unconfigurable
   * @property export style
   */
  'line-dotted': lineDotted,
};

export default varMap;
